<?php

/*
 * Textpattern Content Management System
 * http://textpattern.com
 *
 * Copyright (C) 2016 The Textpattern Development Team
 *
 * This file is part of Textpattern.
 *
 * Textpattern is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation, version 2.
 *
 * Textpattern is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Textpattern. If not, see <http://www.gnu.org/licenses/>.
 */

# install en-gb without XML-RPC requirements
$en_gb_lang = array(
    'admin' => array(
        'account_activation' => 'Please activate your account',
        'account_activation_confirmation' => 'Please use the link below to activate your account and set up a password.',
        'add_new_author' => 'Add new author',
        'and_mailed_to' => 'and emailed to',
        'assign_assets_to' => 'Assign author’s content to',
        'author_already_exists' => 'Author <strong>{name}</strong> already exists.',
        'author_deleted' => 'Author <strong>{name}</strong> deleted.',
        'author_updated' => 'Author <strong>{name}</strong> updated.',
        'a_message_will_be_sent_with_login' => 'A message will be sent with login information.',
        'a_new_password_will_be_mailed' => 'A new password will be emailed.',
        'cannot_assign_assets_to_deletee' => 'You cannot assign assets to a deleted account.',
        'changeprivilege' => 'Change role',
        'change_email_address' => 'Change your email address',
        'change_password' => 'Change your password',
        'copy_editor' => 'Copy Editor',
        'could_not_mail' => 'Could not email',
        'could_not_update_author' => 'Could not update author.',
        'current_password' => 'Current password',
        'designer' => 'Designer',
        'edit_author' => 'Edit author',
        'email_changed' => 'Email address changed to <strong>{email}</strong>.',
        'error_adding_new_author' => 'Error adding new author.',
        'freelancer' => 'Freelancer',
        'last_login' => 'Last log in',
        'link_expires' => 'You have until {day} {month} {year}, {time} to respond before this link expires.',
        'login_name' => 'Login',
        'login_sent_to' => 'Password sent to {email}.',
        'log_in_at' => 'Log in at',
        'mail_it' => 'Email it to me',
        'managing_editor' => 'Managing Editor',
        'must_reassign_assets' => 'Please reassign author’s content',
        'new_email' => 'New email',
        'new_password' => 'New password',
        'password_changed' => 'Password changed.',
        'password_changed_mailed' => 'Password changed and emailed to <strong>{email}</strong>.',
        'password_change_confirmation' => 'Your password has been changed. If you did not request a change to your password, contact your site administrator.',
        'password_confirm_button' => 'Set password',
        'password_forgotten' => 'Forgot password?',
        'password_invalid' => 'Your password is incorrect.',
        'password_required' => 'Please provide a new password.',
        'password_reset' => 'Reset password',
        'password_reset_button' => 'Reset password',
        'password_reset_confirmation' => 'Somebody (probably you) has requested to reset your password. Please confirm this reset request using the link below.',
        'password_reset_confirmation_request' => 'Please confirm your password reset request',
        'password_reset_confirmation_request_sent' => 'A confirmation message was sent. Please check your email and follow the instructions.',
        'password_sent_to' => 'Password sent to',
        'password_set' => 'Your password has been set',
        'password_set_confirmation' => 'Your password has been set. If you did not request this, contact your site administrator.',
        'password_strength_0' => 'Poor',
        'password_strength_1' => 'Weak',
        'password_strength_2' => 'Fair',
        'password_strength_3' => 'Good',
        'password_strength_4' => 'Strong',
        'privileges' => 'Role',
        'privs_none' => 'None',
        'publisher' => 'Publisher',
        'real_name' => 'Real name',
        'resend_activation' => 'Resend activation link',
        'resend_activation_request_sent' => 'Activation message sent to {name}.',
        'resetpassword' => 'Reset password',
        'reset_author_password' => 'Reset author password',
        'search_users' => 'Search users',
        'set_password' => 'Set your password',
        'show_password' => 'Show password',
        'site_administration' => 'Users',
        'staff_writer' => 'Staff Writer',
        'unknown_author' => 'Unknown author: <strong>{name}</strong>.',
        'writer' => 'Writer',
        'your_login_info' => 'Your login info',
        'your_login_is' => 'Your login is',
        'your_new_password' => 'Your new password',
        'your_password_is' => 'Your password is',
        'you_have_been_registered' => 'You have been registered as a contributor to the site',
    ),
    'article' => array(
        'add_new_article' => 'Create new article',
        'advanced_options' => 'Advanced options',
        'article_day' => 'Day',
        'article_expires_before_postdate' => 'Error: article expires <strong>before</strong> post date.',
        'article_exp_day' => 'Day',
        'article_exp_hour' => 'Hour',
        'article_exp_minute' => 'Minute',
        'article_exp_month' => 'Month',
        'article_exp_second' => 'Second',
        'article_exp_year' => 'Year',
        'article_hour' => 'Hour',
        'article_image' => 'Article image',
        'article_markup' => 'Article markup',
        'article_minute' => 'Minute',
        'article_month' => 'Month',
        'article_posted' => 'Article posted.',
        'article_saved' => 'Article saved.',
        'article_saved_draft' => 'Article saved as draft.',
        'article_saved_hidden' => 'Article saved as hidden.',
        'article_saved_pending' => 'Article saved as pending.',
        'article_save_failed' => 'The article was not saved due to an error. Please try again.',
        'article_second' => 'Second',
        'article_year' => 'Year',
        'comment_settings' => 'Comment options',
        'concurrent_edit_by' => 'Article <strong>not</strong> saved. {author} modified the article while you were editing it. If you’re sure, press the ‘Save’ button once more.',
        'date_settings' => 'Date and time',
        'excerpt_markup' => 'Excerpt markup',
        'expires' => 'Expires',
        'invalid_postdate' => 'Invalid date or time.',
        'linktext' => 'linktext(title)',
        'meta' => 'Meta',
        'no_articles_recorded' => 'No articles recorded.',
        'or_publish_at' => '…or publish at',
        'override_default_form' => 'Override form',
        'pending' => 'Pending',
        'reset_time' => 'Reset timestamp to now',
        'search_articles' => 'Search articles',
        'set_to_now' => 'Set timestamp to now',
        'sort_display' => 'Sort and display',
        'textfilter_help' => 'Text formatting help',
        'timestamp' => 'Timestamp',
        'url_title' => 'URL-only title',
        'url_title_is_blank' => 'URL-only title was left blank.',
        'url_title_is_multiple' => 'The same URL-only title is used by {count} different articles.',
        'view_html' => 'View HTML markup',
        'view_html_short' => 'HTML',
        'view_preview' => 'Preview article',
        'view_preview_short' => 'Preview',
        'view_text' => 'Edit article text',
        'view_text_short' => 'Text',
        'write' => 'Write',
    ),
    'category' => array(
        'article_categories_deleted' => 'Article categories deleted: <strong>{list}</strong>.',
        'article_category' => 'Article category',
        'article_category_already_exists' => 'Article category <strong>{name}</strong> already exists.',
        'article_category_created' => 'Article category <strong>{name}</strong> created.',
        'article_category_description' => 'Article category description',
        'article_category_invalid' => 'Article category <strong>{name}</strong> invalid.',
        'article_category_name' => 'Article category name',
        'article_category_title' => 'Article category title',
        'article_category_updated' => 'Article category <strong>{name}</strong> updated.',
        'article_head' => 'Article categories',
        'categories_set_parent' => '{list} assigned to {type} category parent {parent}',
        'category_not_found' => 'Category not found',
        'category_save_failed' => 'The category was not saved due to an error. Please try again.',
        'create_new_category' => 'Create new category',
        'edit_category' => 'Edit category',
        'file_categories_deleted' => 'File categories deleted: <strong>{list}</strong>.',
        'file_category_already_exists' => 'File category <strong>{name}</strong> already exists.',
        'file_category_created' => 'File category <strong>{name}</strong> created.',
        'file_category_description' => 'File category description',
        'file_category_invalid' => 'File category <strong>{name}</strong> invalid.',
        'file_category_name' => 'File category name',
        'file_category_title' => 'File category title',
        'file_category_updated' => 'File category <strong>{name}</strong> updated.',
        'file_head' => 'File categories',
        'image_categories_deleted' => 'Image categories deleted: <strong>{list}</strong>.',
        'image_category_already_exists' => 'Image category <strong>{name}</strong> already exists.',
        'image_category_created' => 'Image category <strong>{name}</strong> created.',
        'image_category_description' => 'Image category description',
        'image_category_invalid' => 'Image category <strong>{name}</strong> invalid.',
        'image_category_name' => 'Image category name',
        'image_category_title' => 'Image category title',
        'image_category_updated' => 'Image category <strong>{name}</strong> updated.',
        'image_head' => 'Image categories',
        'link_categories_deleted' => 'Link categories deleted: <strong>{list}</strong>.',
        'link_category_already_exists' => 'Link category <strong>{name}</strong> already exists.',
        'link_category_created' => 'Link category <strong>{name}</strong> created.',
        'link_category_description' => 'Link category description',
        'link_category_invalid' => 'Link category <strong>{name}</strong> invalid.',
        'link_category_name' => 'Link category name',
        'link_category_title' => 'Link category title',
        'link_category_updated' => 'Link category <strong>{name}</strong> updated.',
        'link_head' => 'Link categories',
        'no_categories_exist' => 'None exist.',
        'no_other_categories_exist' => 'No other categories exist.',
        'parent' => 'Parent',
    ),
    'common' => array(
        'active' => 'Active',
        'add' => 'Add',
        'admin' => 'Admin',
        'ar-ar' => 'عربي',
        'ar-dz' => 'جزائري عربي',
        'are_you_sure' => 'Are you sure?',
        'article' => 'Article',
        'ascending' => 'Ascending',
        'auth_required' => 'Authorisation required.',
        'back_to_login' => 'Back to Textpattern log in',
        'bad_cookie' => 'Your session has expired. Please log in again.',
        'bg-bg' => 'български',
        'body' => 'Body',
        'bs-ba' => 'Bosanski',
        'ca-es' => 'Català',
        'cancel' => 'Cancel',
        'cannot_instantiate_theme' => 'Theme <strong>{name}</strong> ({class}) failed to load properly from file {path}. The default theme will be used as a fallback.',
        'category' => 'Category',
        'changeauthor' => 'Change author',
        'changecategory' => 'Change category',
        'changecategory1' => 'Change Category 1',
        'changecategory2' => 'Change Category 2',
        'changecomments' => 'Change comments',
        'changeparent' => 'Change parent',
        'changesection' => 'Change section',
        'changestatus' => 'Change status',
        'close' => 'Close',
        'comment' => 'Comment',
        'comments_expired' => 'Commenting has expired for this article.',
        'confirm_delete_popup' => 'Really delete?',
        'cookies_must_be_enabled' => 'Browser cookies must be enabled to use Textpattern.',
        'could_not_log_in' => 'Could not log in with that username/password.',
        'cs-cz' => 'Čeština',
        'da-dk' => 'Dansk',
        'date_added' => 'Date added',
        'de-de' => 'Deutsch',
        'deleteforce' => 'Force delete',
        'delete_selected' => 'Delete selected',
        'descending' => 'Descending',
        'description' => 'Description',
        'detail_toggle' => 'Show more detail',
        'draft' => 'Draft',
        'duplicate' => 'Duplicate',
        'el-gr' => 'Ελληνικά',
        'en-gb' => 'English (British)',
        'en-us' => 'English (American)',
        'es-es' => 'Español',
        'et-ee' => 'Eesti',
        'excerpt' => 'Excerpt',
        'expired' => 'Expired',
        'expire_date' => 'Expire date',
        'expire_time' => 'Expire time',
        'external_links' => 'External links',
        'fa-ir' => 'فارسی',
        'fi-fi' => 'Suomi',
        'form_not_found' => 'Form not found',
        'form_not_specified' => 'Form not specified.',
        'form_submission_error' => 'Sorry, the form could not be submitted. Please try again later.',
        'fr-fr' => 'Français',
        'gd_unavailable' => 'unavailable',
        'general_error' => 'General error',
        'get_off_my_lawn' => 'I’m sorry. I’m afraid I can’t do that; <code>{event}</code> <code>{step}</code> is an unsafe operation.',
        'gl-gz' => 'Galego',
        'greeting' => 'Dear',
        'he-il' => 'עברית',
        'hidden' => 'Hidden',
        'hr-hr' => 'Hrvatski',
        'hu-hu' => 'Magyar',
        'id-id' => 'Bahasa Indonesia',
        'image_category' => 'Category',
        'internal_error' => 'Internal error',
        'is-is' => 'Íslenska',
        'it-it' => 'Italiano',
        'ja-jp' => '日本語',
        'ko-kr' => '한국말 (대한민국)',
        'lang_dir' => 'ltr',
        'last_modified' => 'Last modified',
        'links' => 'Links',
        'link_category' => 'Category',
        'logged_in_as' => 'Logged in as',
        'login' => 'Log in',
        'login_to_textpattern' => 'Log in to Textpattern',
        'logout' => 'Log out',
        'log_in_button' => 'Log in',
        'lt-lt' => 'Lietuvių',
        'lv-lv' => 'Latviešu',
        'method' => 'Method',
        'misc' => 'Miscellaneous',
        'modified' => 'modified',
        'navigation' => 'Navigation',
        'nl-nl' => 'Nederlands',
        'no-no' => 'Norsk',
        'no_results_found' => 'No results found.',
        'password' => 'Password',
        'per_page' => 'per page',
        'pl-pl' => 'Polski',
        'pt-br' => 'Português (Brasil)',
        'pt-pt' => 'Português (Portugal)',
        'published_with' => 'Published with',
        'publish_date' => 'Publish date',
        'publish_time' => 'Publish time',
        'range' => 'Range',
        'restricted_area' => 'Restricted area.',
        'ro-ro' => 'Română',
        'ru-ru' => 'Русский',
        'salutation' => 'Dear {name},',
        'save_new' => 'Save new',
        'search_all' => 'Search all',
        'search_options' => 'Search options',
        'showing_search_results' => 'Showing {from} to {to} of {total}',
        'site_slogan' => 'Site slogan',
        'sk-sk' => 'Slovenčina',
        'sort_value' => 'Sort value',
        'sp-rs' => 'Srpski',
        'spam' => 'Spam',
        'sr-rs' => 'Српски',
        'stay_logged_in' => 'Remain logged in with this browser',
        'sticky' => 'Sticky',
        'structure' => 'Structure',
        'sv-se' => 'Svenska',
        'tab_admin' => 'Admin',
        'tab_comments' => 'Comments',
        'tab_content' => 'Content',
        'tab_diagnostics' => 'Diagnostics',
        'tab_extensions' => 'Extensions',
        'tab_file' => 'Files',
        'tab_forms' => 'Forms',
        'tab_image' => 'Images',
        'tab_import' => 'Import',
        'tab_languages' => 'Languages',
        'tab_link' => 'Links',
        'tab_list' => 'Articles',
        'tab_logs' => 'Visitor logs',
        'tab_organise' => 'Categories',
        'tab_pages' => 'Pages',
        'tab_plugins' => 'Plugins',
        'tab_preferences' => 'Preferences',
        'tab_presentation' => 'Presentation',
        'tab_sections' => 'Sections',
        'tab_site_admin' => 'Users',
        'tab_skins' => 'Skins',
        'tab_start' => 'Home',
        'tab_style' => 'Styles',
        'tab_view_site' => 'View site',
        'tab_write' => 'Write',
        'th-th' => 'ภาษาไทย',
        'thumbnail' => 'Thumbnail',
        'title_body' => 'Title and body',
        'title_body_excerpt' => 'Title, body and excerpt',
        'toggle_all_selected' => 'Toggle all/none selected',
        'tr-tr' => 'Türkçe',
        'txpnl2br' => 'Line breaks only',
        'txprawxhtml' => 'Raw HTML',
        'txpstriptags' => 'Strip tags',
        'txptextile' => 'Textile',
        'txptextilelite' => 'Textile Lite',
        'txt_quote_double_close' => '”',
        'txt_quote_double_open' => '“',
        'txt_quote_single_close' => '’',
        'txt_quote_single_open' => '‘',
        'uk-ua' => 'Українська',
        'units_b' => 'B',
        'units_e' => 'EB',
        'units_g' => 'GB',
        'units_k' => 'kB',
        'units_m' => 'MB',
        'units_p' => 'PB',
        'units_t' => 'TB',
        'units_y' => 'YB',
        'units_z' => 'ZB',
        'unmoderated' => 'Unmoderated',
        'upload_err_cant_write' => 'Failed to write file to disk.',
        'upload_err_extension' => 'File upload stopped by PHP extension.',
        'upload_err_form_size' => 'File exceeds the maximum size specified in Textpattern’s preferences.',
        'upload_err_ini_size' => 'File exceeds the <code>upload_max_filesize</code> directive in <code>php.ini</code>.',
        'upload_err_no_file' => 'No file was specified.',
        'upload_err_partial' => 'File was only partially uploaded.',
        'upload_err_tmp_dir' => 'No valid temporary directory was found. Please consult your website host.',
        'upload_file' => 'Upload file',
        'ur-in' => 'اردو',
        'use_textile' => 'Use Textile',
        'vi-vn' => 'Tiếng Việt (Việt Nam)',
        'viewsite' => 'View site',
        'view_per_page' => 'View {page} per page',
        'visible' => 'Visible',
        'with_selected' => 'With selected:',
        'with_selected_option' => 'With selected…',
        'zh-cn' => '中文(简体)',
        'zh-tw' => '中文(繁體)',
    ),
    'css' => array(
        'add_declaration' => 'Add declaration',
        'add_new_selector' => 'Add new selector',
        'all_stylesheets' => 'All styles',
        'bulkload_existing_css' => 'Create or load new style',
        'cannot_delete_default_css' => 'Style <strong>default</strong> cannot be deleted.',
        'copy_css_as' => '…or copy style as',
        'create_new_css' => 'Create new style',
        'css_already_exists' => 'Style <strong>{name}</strong> already exists.',
        'css_code' => 'Style code',
        'css_created' => 'Style <strong>{name}</strong> created.',
        'css_deleted' => 'Style <strong>{name}</strong> deleted.',
        'css_mode' => 'CSS mode',
        'css_name' => 'Style name',
        'css_name_required' => 'Please provide a name for your style.',
        'css_property_value' => 'Property : Value',
        'css_save_failed' => 'The style was not saved due to an error. Please try again.',
        'css_selector' => 'Selector',
        'css_updated' => 'Style <strong>{name}</strong> updated.',
        'css_used_by_section' => 'Style <strong>{name}</strong> not deleted; used by {count} section(s).',
        'delete_declaration' => 'Delete this declaration',
        'delete_entire_selector' => 'Delete entire selector',
        'delete_this_declaration' => 'Delete this declaration',
        'edit_css' => 'Styles',
        'edit_css_file' => 'Edit CSS file',
        'edit_css_in_form' => 'Edit in CSS editor',
        'edit_raw_css' => 'Edit raw CSS',
        'name_for_this_style' => 'Name for this style',
        'property' => 'Property',
        'save_css_as' => 'Save style as:',
        'save_this_declaration' => 'Save this declaration',
        'save_this_selector' => 'Save this selector',
        'selector' => 'Selector',
        'style_sheet' => 'Style sheet',
        'style_sheet_saved' => 'Style saved',
        'you_are_editing_css' => 'You are editing style',
    ),
    'diag' => array(
        'active_plugins' => 'Active plugins',
        'all_checks_passed' => 'All checks passed!',
        'apache_modules' => 'Apache modules',
        'apache_version' => 'Apache version',
        'cleanurl_only_apache' => 'Clean URLs are only supported on Apache, use at your own risk.',
        'clean_url_data_failed' => 'Clean URL data test failed',
        'clean_url_test_failed' => 'Clean URL test failed.',
        'detail' => 'Detail',
        'dev_version_live' => 'You are running a development version of Textpattern on a live server.',
        'diagnostic_info' => 'Diagnostic info',
        'dir_not_writable' => '{dirtype} is not writable',
        'dns_lookup_fails' => 'DNS lookup failed',
        'document_root' => 'Document root',
        'file_uploads_disabled' => 'File uploads are disabled',
        'gd_info' => '{version}; supported formats: {supported}.',
        'gd_library' => 'GD Graphics Library',
        'high' => 'High',
        'htaccess_contents' => '.htaccess file contents',
        'htaccess_missing' => '.htaccess file is missing',
        'img_dir_read_only' => 'Image directory is read-only',
        'is_inaccessible' => 'is inaccessible',
        'last_update' => 'Last update',
        'low' => 'Low',
        'magic_quotes' => 'Magic quotes',
        'missing_files' => 'Missing files',
        'modified_files' => 'Some Textpattern files have been modified',
        'mod_rewrite_missing' => 'Apache module <code>mod_rewrite</code> is not enabled.',
        'mysql_table_errors' => 'The following errors were detected in your MySQL tables',
        'no_temp_dir' => 'No temporary directory defined',
        'old_files' => 'Some Textpattern files are out of date',
        'old_placeholder' => 'Old placeholder file is in the way',
        'os_version' => 'Server OS',
        'path_to_site_inacc' => '<code>$path_to_site</code> is inaccessible.',
        'php_extensions' => 'PHP extensions',
        'php_sapi_mode' => 'PHP server API',
        'php_version' => 'PHP version',
        'php_version_required' => 'Textpattern requires at least version {version} of PHP to be installed on your server',
        'preflight_check' => 'Pre-flight check',
        'register_globals' => 'Register globals',
        'rfc2616_headers' => 'RFC 2616 headers',
        'rfc_2616_headers' => 'CGI header mode',
        'server' => 'Server',
        'server_time' => 'Server local time',
        'site_trailing_slash' => 'Site URL has a trailing slash',
        'site_url_mismatch' => 'Site URL preference might be incorrect',
        'some_php_functions_disabled' => 'The following PHP functions (which may be necessary to run Textpattern) are disabled on your server',
        'still_exists' => 'still exists',
        'textpattern_update_available' => 'New Textpattern version {version} <a href="http://textpattern.com/download" rel="external" title="Go to the Textpattern download area">available for download</a>.',
        'tmp_plugin_paths_match' => 'Temporary directory path and plugin cache directory path should <strong>not</strong> match.',
        'txp_path' => 'Textpattern path',
        'txp_version' => 'Textpattern version',
        'warn_register_globals_or_update' => 'Your version of PHP has known security vulnerabilities. Please turn <code>register_globals</code> off or update to a newer PHP version.',
        'web_domain' => 'Site URL',
    ),
    'discuss' => array(
        'article_deleted' => 'Article deleted.',
        'ban' => 'Ban',
        'banned_for' => 'Banned for',
        'banned_ips' => 'Banned IPs',
        'ban_author' => 'Ban commenter',
        'cant_ban_blank_ip' => 'You cannot ban a blank IP address.',
        'comments_deleted' => 'Comments deleted: <strong>{list}</strong>.',
        'comments_marked_spam' => 'Comments hidden and marked as spam: <strong>{list}</strong>.',
        'comments_marked_unmoderated' => 'Comments hidden and marked as unmoderated: <strong>{list}</strong>.',
        'comments_marked_visible' => 'Comments made visible: <strong>{list}</strong>.',
        'comment_not_found' => 'Comment does not exist, it may have been deleted.',
        'comment_save_failed' => 'The comment was not saved due to an error. Please try again.',
        'comment_updated' => 'Comment <strong>{id}</strong> updated.',
        'confirm_comment_deletion' => 'confirm comment deletion',
        'date_banned' => 'Date banned',
        'displayed_comments' => 'Displayed comments',
        'edit_comment' => 'Edit comment',
        'hide_comment' => 'Hide comment',
        'hide_spam' => 'Hide (spam)',
        'hide_unmoderated' => 'Hide (unmoderated)',
        'ips_banned' => 'IP addresses banned from commenting: <strong>{list}</strong>.',
        'ip_already_banned' => 'IP address <strong>{ip}</strong> already banned.',
        'ip_banned' => 'IP address <strong>{ip}</strong> banned.',
        'ip_ban_removed' => 'IP address <strong>{ip}</strong> ban removed.',
        'just_spam_results_found' => 'Only spam comments found. Use ‘Show spam’ to view them.',
        'list_banned_ips' => 'List banned IPs',
        'list_discussions' => 'Comments',
        'name_used' => 'Name used',
        'no_comments_recorded' => 'No comments recorded.',
        'no_ips_banned' => 'No IP addresses have been banned.',
        'search_comments' => 'Search comments',
        'show' => 'Show',
        'show_spam' => 'Show spam',
        'unban' => 'Unban',
    ),
    'file' => array(
        'condition' => 'Condition',
        'download' => 'Download',
        'downloads' => 'Downloads',
        'edit_file' => 'Edit file',
        'existing_file' => 'Existing file',
        'file' => 'File',
        'file_already_exists' => 'File <strong>{name}</strong> already exists.',
        'file_cannot_rename' => 'File <strong>{name}</strong> could not be renamed.',
        'file_category' => 'Category',
        'file_deleted' => 'File(s) <strong>{name}</strong> deleted.',
        'file_delete_failed' => 'Failed to delete file(s)',
        'file_dir_not_writeable' => '<strong>Warning:</strong> cannot write to file directory <code>{filedir}</code>.',
        'file_download_count' => 'Download count',
        'file_name' => 'Name',
        'file_not_found' => 'File(s) not found',
        'file_not_updated' => 'File <strong>{name}</strong> not updated!',
        'file_relink' => 'Upload/assign file',
        'file_status' => 'File status',
        'file_status_missing' => 'Missing',
        'file_status_ok' => 'OK',
        'file_unsynchronized' => 'File <strong>{name}</strong> has become unsynchronised with the database. Please manually fix filename.',
        'file_updated' => 'File <strong>{name}</strong> updated.',
        'file_uploaded' => 'File <strong>{name}</strong> uploaded.',
        'file_upload_failed' => 'Failed to upload file',
        'invalid_filename' => 'Invalid filename',
        'invalid_id' => 'Invalid ID',
        'linked_to_file' => 'Linked record to file',
        'no_files_recorded' => 'No files recorded.',
        'permissions' => 'Permissions',
        'private' => 'Private',
        'public' => 'Public',
        'replace_file' => 'Replace file',
        'reset' => 'reset',
        'reset_download_count' => 'Reset download count',
        'reset_file_count_failure' => 'Failed to reset file download count',
        'reset_file_count_success' => 'Successfully reset file download count',
        'search_files' => 'Search files',
    ),
    'form' => array(
        'all_forms' => 'All forms',
        'changetype' => 'Change type',
        'create_new_form' => 'Create new form',
        'delete_form_confirmation' => 'confirm form deletion',
        'edit_forms' => 'Form templates',
        'forms_deleted' => 'Forms deleted: <strong>{list}</strong>.',
        'form_already_exists' => 'Form <strong>{name}</strong> already exists.',
        'form_clone' => 'Duplicate form',
        'form_code' => 'Form code',
        'form_created' => 'Form <strong>{name}</strong> created.',
        'form_name' => 'Form name',
        'form_name_invalid' => 'Form name invalid.',
        'form_save_failed' => 'The form was not saved due to an error. Please try again.',
        'form_type' => 'Form type',
        'form_type_missing' => 'Form type is missing',
        'form_updated' => 'Form <strong>{name}</strong> updated.',
        'list_forms' => 'list forms',
        'you_are_editing_form' => 'You are editing form',
    ),
    'image' => array(
        'add_magnify_icon' => 'Magnifier',
        'alt_text' => 'Alternate text',
        'cannot_write_directory' => 'Cannot write to directory',
        'choose_either_width_height_or_both' => 'Indicate width, height, or both',
        'create_thumbnail' => 'Create thumbnail',
        'edit_image' => 'Edit image',
        'extension' => 'Extension',
        'images' => 'Images',
        'image_deleted' => 'Image(s) <strong>{name}</strong> deleted.',
        'image_delete_failed' => 'Image(s) <strong>{name}</strong> could not be completely deleted.',
        'image_details' => 'Image details',
        'image_name' => 'Image name',
        'image_save_error' => 'There was a problem saving image data.',
        'image_save_failed' => 'The image was not saved due to an error. Please try again.',
        'image_updated' => 'Image <strong>{name}</strong> updated.',
        'image_uploaded' => 'Image(s) <strong>{name}</strong> uploaded.',
        'img_dir_not_writeable' => '<strong>Warning:</strong> cannot write to image directory <code>{imgdir}</code>.',
        'invalid_width_or_height' => 'Invalid width or height.',
        'keep_square_pixels' => 'Crop',
        'not_saved' => '<strong>not</strong> saved!',
        'no_images_recorded' => 'No images recorded.',
        'only_graphic_files_allowed' => 'Only .jpg, .gif, .png or .swf file types allowed.',
        'replace_image' => 'Replace image',
        'save_these_settings_as_default' => 'Save settings as default',
        'search_images' => 'Search images',
        'thumbnail_deleted' => 'Thumbnail deleted.',
        'thumbnail_not_saved' => 'Thumbnail <strong>{id}</strong> not saved!',
        'thumbnail_saved' => 'Thumbnail <strong>{id}</strong> saved.',
        'thumb_height' => 'Height',
        'thumb_width' => 'Width',
        'upload_category' => 'Category',
        'upload_dir_perms' => 'directory permissions need to be checked.',
        'upload_image' => 'Upload image',
        'upload_thumbnail' => 'Upload thumbnail',
    ),
    'import' => array(
        'continue' => 'Continue',
        'database_stuff' => 'Database data',
        'import_blogid' => 'Blog ID',
        'import_database' => 'Database name',
        'import_file_not_found' => 'Import file not found. Please name the file <code>import.txt</code> and place it in <code>/textpattern/include/import/</code>.',
        'import_host' => 'MySQL host',
        'import_invite' => 'Default comments invite',
        'import_login' => 'MySQL user',
        'import_password' => 'MySQL password',
        'import_section' => 'Section to import into',
        'import_status' => 'Default article status',
        'import_wpdbcharset' => 'Database character set',
        'import_wpprefix' => 'Tables prefix (if any)',
        'select_tool' => 'Import from',
        'txp_import' => 'Import content from other publishing tools',
    ),
    'link' => array(
        'add_new_link' => 'Create new link',
        'edit_link' => 'Edit link',
        'edit_links' => 'Links',
        'linkcategory' => 'Link categories',
        'links_deleted' => 'Link(s) deleted: <strong>{list}</strong>.',
        'link_created' => 'Link <strong>{name}</strong> created.',
        'link_deleted' => 'Link <strong>{name}</strong> deleted.',
        'link_empty' => 'Links should not be empty.',
        'link_name' => 'Name',
        'link_saved' => 'Link saved.',
        'link_save_failed' => 'Link could not be saved.',
        'link_text' => 'Link text',
        'link_updated' => 'Link(s) <strong>{name}</strong> updated.',
        'no_links_recorded' => 'No links recorded.',
        'search_links' => 'Search links',
    ),
    'list' => array(
        'article_modified' => 'Modified',
        'manage' => 'Manage',
    ),
    'log' => array(
        'logs' => 'Logs',
        'logs_deleted' => 'Logs deleted: <strong>{list}</strong>.',
        'no_refers_recorded' => 'No hits recorded.',
        'referrer' => 'Referrer',
        'search_logs' => 'Search logs',
        'visitor_logs' => 'Visitor logs',
    ),
    'page' => array(
        'all_pages' => 'All pages',
        'copy_page_as' => '…or copy page as',
        'create_new_page' => 'Create new page',
        'delete_page_confirmation' => 'confirm page deletion',
        'edit_page' => 'Edit page',
        'edit_pages' => 'Page templates',
        'name_for_this_page' => 'Name for this page',
        'page_already_exists' => 'Page <strong>{name}</strong> already exists.',
        'page_article_hed' => 'Article output',
        'page_article_nav_hed' => 'Article navigation',
        'page_code' => 'Page code',
        'page_created' => 'Page <strong>{name}</strong> created.',
        'page_deleted' => 'Page <strong>{name}</strong> deleted.',
        'page_misc_hed' => 'Miscellaneous',
        'page_name' => 'Page name',
        'page_name_invalid' => 'Page name is invalid.',
        'page_nav_hed' => 'Site navigation',
        'page_save_failed' => 'The page was not saved due to an error. Please try again.',
        'page_updated' => 'Page <strong>{name}</strong> updated.',
        'page_used_by_section' => 'Page <strong>{name}</strong> not deleted; used by {count} section(s).',
        'page_xml_hed' => 'XML feeds',
        'you_are_editing_div' => 'You are editing div',
        'you_are_editing_page' => 'You are editing page template',
    ),
    'plugin' => array(
        'bad_plugin_code' => 'Badly formed or empty plugin code.',
        'broken_plugin' => 'broken',
        'changeorder' => 'Change order',
        'edit_plugin' => 'Edit plugin <strong>{name}</strong>',
        'edit_plugins' => 'Edit plugin',
        'help' => 'Help',
        'install' => 'Install',
        'install_plugin' => 'Install plugin',
        'old_plugin' => 'Old-style (text file) plugin installer',
        'order' => 'Order',
        'plugin' => 'Plugin',
        'plugins' => 'Plugins',
        'plugin_compression_unsupported' => 'Plugin decompression is not supported by your server. Contact the plugin author for an uncompressed version.',
        'plugin_deleted' => 'Plugin <strong>{name}</strong> deleted.',
        'plugin_help' => 'Plugin help',
        'plugin_installed' => 'Plugin <strong>{name}</strong> installed.',
        'plugin_install_failed' => 'Plugin <strong>{name}</strong> install failed!',
        'plugin_modified' => 'Modified',
        'plugin_prefs' => 'Options',
        'plugin_saved' => 'Plugin <strong>{name}</strong> saved.',
        'plugin_updated' => 'Plugin <strong>{name}</strong> updated.',
        'previewing_plugin' => 'Previewing plugin:',
        'verify_plugin' => 'Verify plugin',
    ),
    'prefs' => array(
        'active_language' => 'Currently active language',
        'admin_side_plugins' => 'Use admin-side plugins?',
        'advanced_preferences' => 'Advanced',
        'allow_article_php_scripting' => 'Allow PHP in articles?',
        'allow_form_override' => 'Allow form override?',
        'allow_page_php_scripting' => 'Allow PHP in pages?',
        'allow_raw_php_scripting' => 'Allow raw PHP?',
        'all_hits' => 'All hits',
        'all_preferences' => 'All preferences',
        'archive_dateformat' => 'Archive date format',
        'archive_date_case' => 'Archive date case',
        'archive_dir' => 'Archive directory',
        'articles_use_excerpts' => 'Use excerpts on articles?',
        'attach_titles_to_permalinks' => 'Attach titles to permalinks?',
        'auto_dst' => 'Automatically adjust Daylight Saving Time setting?',
        'category_subcategory' => '/category/subcategory',
        'check_for_txp_updates' => 'Check updates',
        'clean' => '/clean/',
        'comments_are_ol' => 'Present comments as a numbered list?',
        'comments_auto_append' => 'Automatically append comments to articles?',
        'comments_dateformat' => 'Comments date format',
        'comments_default_invite' => 'Default comments invite',
        'comments_disabled_after' => 'Comments disabled after',
        'comments_disallow_images' => 'Strip commenter images from comments?',
        'comments_mode' => 'Comments mode',
        'comments_moderate' => 'Moderate comments?',
        'comments_on_default' => 'Comments on by default?',
        'comments_require_email' => 'Comments require commenter’s email address?',
        'comments_require_name' => 'Comments require commenter’s name?',
        'comments_sendmail' => 'Email comments to author?',
        'comments_use_fat_textile' => 'Allow more Textile markup in comments?',
        'comment_means_site_updated' => 'New comment means site updated?',
        'comment_nofollow' => 'Apply <code>rel="nofollow"</code> to comments?',
        'convert_linebreaks' => 'Convert line breaks',
        'css' => 'Style',
        'custom' => 'Custom fields',
        'custom_10_set' => 'Custom field 10 name',
        'custom_1_set' => 'Custom field 1 name',
        'custom_2_set' => 'Custom field 2 name',
        'custom_3_set' => 'Custom field 3 name',
        'custom_4_set' => 'Custom field 4 name',
        'custom_5_set' => 'Custom field 5 name',
        'custom_6_set' => 'Custom field 6 name',
        'custom_7_set' => 'Custom field 7 name',
        'custom_8_set' => 'Custom field 8 name',
        'custom_9_set' => 'Custom field 9 name',
        'default_event' => 'Default administration panel',
        'default_publish_status' => 'Default publishing status',
        'doctype' => 'Doctype',
        'edit_preferences' => 'Preferences',
        'edit_raw_css_by_default' => 'Use raw editing mode by default?',
        'enable_xmlrpc_server' => 'Enable XML-RPC server?',
        'experts_only' => 'experts only',
        'expire_logs_after' => 'Logs expire after how many days?',
        'feeds' => 'Feeds',
        'file_base_path' => 'File directory path',
        'file_max_upload_size' => 'Maximum file size of uploads (in bytes)',
        'from_file' => 'Install from file',
        'from_server' => 'Install from remote server',
        'gmtoffset' => 'Time zone',
        'ham' => 'All but spam',
        'hours_days_ago' => 'hours/days ago',
        'id_title' => '/id/title',
        'img_dir' => 'Image directory',
        'include_email_atom' => 'Include email in Atom feeds?',
        'installing_language' => 'Installing language',
        'install_from_textpack' => 'Install from Textpack',
        'install_langfile' => 'To install new languages from file you can download them from <code>{url}</code> and place them inside your <code>/textpattern/lang/</code> directory.',
        'install_language' => 'Install language',
        'install_textpack' => 'Install Textpack',
        'is_dst' => 'Daylight Saving Time enabled?',
        'language' => 'Language',
        'lastmod_keepalive' => 'Compensate for persistent connection <code>mod_deflate</code> bug?',
        'leave_text_untouched' => 'Leave text untouched',
        'link' => 'Links',
        'locale' => 'Locale',
        'locale_not_available_for_language' => 'No locale available for language <strong>{name}</strong>. Using default locale instead.',
        'logging' => 'Logging',
        'logs_expire' => 'Logs expire after how many days?',
        'manage_languages' => 'Language',
        'markup_default' => 'Default markup',
        'max_url_len' => 'Maximum URL length (in characters)',
        'mentions' => 'Mentions',
        'messy' => '?=messy',
        'never_display_email' => 'Hide commenter email address?',
        'new_textpattern_version_available' => 'There is a new Textpattern version available. Do you want to <a href="http://textpattern.com/download" rel="external" title="Go to the Textpattern website download area">download it</a>?',
        'no_popup' => 'current window',
        'override_emailcharset' => 'Use ISO-8859-1 encoding in emails (default is UTF-8)?',
        'path_from_root' => 'Sub-directory (if any)',
        'path_to_site_missing' => '<code>$path_to_site</code> is not set (update <code>index.php</code>)',
        'permalink_title_format' => 'Permalink title-like-this (instead of TitleLikeThis)?',
        'permlink_format' => 'Permalink title URL pattern',
        'permlink_hyphenated' => 'Hyphenated (title-like-this)',
        'permlink_intercapped' => 'Intercapped (TitleLikeThis)',
        'permlink_mode' => 'URL pattern',
        'ping_textpattern_com' => 'Ping textpattern.com?',
        'ping_weblogsdotcom' => 'Ping pingomatic.com?',
        'plugin_cache_dir' => 'Plugin cache directory path',
        'preferences_saved' => 'Preferences saved',
        'prefs' => 'Prefs',
        'problem_connecting_rpc_server' => 'There was a problem trying to connect to the RPC server. Please try again later.',
        'production_debug' => 'Debugging',
        'production_live' => 'Live',
        'production_status' => 'Production status',
        'production_test' => 'Testing',
        'publisher_email' => 'Send login details from this email address',
        'publish_expired_articles' => 'Publish expired articles?',
        'record_mentions' => 'Record mentions',
        'referrers_only' => 'Referrers only',
        'remove_lang' => 'Remove language',
        'rpc_connect_error' => 'Can’t connect to remote server to check for updated language files. Please try again later.',
        'rss_how_many' => 'How many articles should be included in feeds?',
        'section_id_title' => '/section/id/title',
        'section_title' => '/section/title',
        'send_lastmod' => 'Send "Last-Modified" header?',
        'show_article_category_count' => 'Show article count on categories panel?',
        'show_comment_count_in_feed' => 'Show comment count in feeds?',
        'site_prefs' => 'Basic',
        'skin_base_path' => 'Skin base path',
        'smtp_from' => 'SMTP envelope sender address',
        'spam_blacklists' => 'Spam blocklists (comma-separated)',
        'syndicate_body_or_excerpt' => 'Syndicate article excerpt <strong>only</strong>?',
        'tempdir' => 'Temporary directory path',
        'textile_links' => 'Textile link descriptions by default?',
        'textpack_strings_installed' => '{count} strings installed from Textpack',
        'theme_name' => 'Admin-side theme',
        'timeoffset' => 'Time offset (hours)',
        'title_no_widow' => 'Prevent widowed words in article titles?',
        'title_only' => '/title',
        'updated' => 'updated',
        'updated_branch_version_available' => 'There is an update for this Textpattern version series available. Do you want to <a href="http://textpattern.com/download" rel="external" title="Go to the Textpattern website download area">download it</a>?',
        'update_languages' => 'Update languages',
        'up_to_date' => 'Up-to-date',
        'urls_to_ping' => 'URLs to ping (comma-separated)',
        'url_mode' => 'URL mode',
        'use_comments' => 'Accept comments?',
        'use_dns' => 'Use DNS lookup in visitor logs?',
        'use_mail_on_feeds_id' => 'Use email address to construct feed IDs (default is site URL)?',
        'use_plugins' => 'Use plugins?',
        'year_month_day_title' => '/year/month/day/title',
    ),
    'public' => array(
        '403_forbidden' => 'Forbidden.',
        '404_not_found' => 'The requested resource was not found.',
        '410_gone' => 'The requested resource is no longer available.',
        '500_internal_server_error' => 'Internal server error.',
        'ago' => 'ago',
        'all' => 'All',
        'already_exists' => 'already exists',
        'any' => 'Any',
        'articles' => 'Articles',
        'articles_found' => 'articles found',
        'article_context' => 'article',
        'article_found' => 'article found',
        'atom_feed_title' => 'Atom feed',
        'attribute_values_must_be_quoted' => 'Attribute values must be quoted.',
        'author' => 'Author',
        'authors' => 'Authors',
        'a_few_seconds' => 'a few seconds',
        'back_to_top' => 'Back to top',
        'blockquote' => 'Blockquote',
        'browse' => 'Browse',
        'bulleted_list' => 'Bulleted list',
        'caption' => 'Caption',
        'categories' => 'Categories',
        'categorize' => 'Categorize',
        'category1' => 'Category 1',
        'category2' => 'Category 2',
        'change' => 'change',
        'check_html' => 'Check HTML',
        'choose' => 'Choose…',
        'citation' => 'citation',
        'comments' => 'Comments',
        'comments_closed' => 'Commenting is closed for this article.',
        'comments_on' => 'Comments on',
        'comments_permlink' => 'Permanent link',
        'comment_comment' => 'Comment',
        'comment_duplicate' => 'Duplicate comments are not accepted.',
        'comment_email' => 'Email',
        'comment_email_required' => 'Please enter a valid email address.',
        'comment_invitation' => 'Invitation',
        'comment_message' => 'Message',
        'comment_moderated' => 'Your comment is pending moderation. It will appear after it has been approved.',
        'comment_name' => 'Name',
        'comment_name_required' => 'Please enter your name.',
        'comment_posted' => 'Thank you for adding your comment.',
        'comment_received' => '[{site}] comment received: {title}',
        'comment_recorded' => 'A comment on your post “{title}” was received.',
        'comment_required' => 'Please enter a comment.',
        'comment_web' => 'Website',
        'contact' => 'Contact',
        'copy' => 'Copy',
        'create' => 'Create',
        'created' => 'created',
        'create_new' => 'Create new',
        'date' => 'Date',
        'dateformat' => 'Date format',
        'date_case' => 'Date case',
        'day' => 'day',
        'days' => 'days',
        'default' => 'Default',
        'definition_list' => 'Definition list',
        'delete' => 'Delete',
        'deleted' => 'deleted',
        'deleted_text' => 'deleted text',
        'deprecated_attribute' => '<strong>{name}</strong> attribute is deprecated.',
        'deprecated_configuration' => 'Configuration option <strong>{name}</strong> is deprecated.',
        'deprecated_function' => 'Function <strong>{name}</strong> is deprecated.',
        'deprecated_function_with' => 'Function <strong>{name}</strong> is deprecated: use <strong>{with}</strong> instead.',
        'deprecated_tag' => 'tag is deprecated',
        'download_count' => 'Download count',
        'edit' => 'Edit',
        'email' => 'Email',
        'email_address' => 'Email address',
        'emphasis' => 'emphasis',
        'enter_comment_here' => '<strong>Enter your comment below.</strong> Fields marked <b class="required" title="Required">*</b> are required. You must preview your comment before submitting it.',
        'error_article_context' => 'Article tags cannot be used outside an article context.',
        'error_category_context' => 'Category tags cannot be used outside a category context.',
        'error_comment_context' => 'Comment tags cannot be used outside a comment context.',
        'error_file_context' => 'File tags cannot be used outside a file context.',
        'error_image_context' => 'Image tags cannot be used outside an image context.',
        'error_link_context' => 'Link tags cannot be used outside a link context.',
        'error_section_context' => 'Section tags cannot be used outside a section context.',
        'exact' => 'Exact',
        'extensions' => 'Extensions',
        'file_context' => 'file',
        'file_size' => 'File size',
        'forget' => 'Forget',
        'form' => 'Form',
        'forms' => 'Forms',
        'go' => 'Go',
        'go_content' => 'Go to content',
        'go_nav' => 'Go to navigation',
        'go_search' => 'Go to search',
        'go_to' => 'Go to',
        'go_txp_com' => 'Go to the Textpattern website',
        'header' => 'Heading',
        'home' => 'Home',
        'host' => 'Host',
        'hour' => 'hour',
        'hours' => 'hours',
        'hr' => 'horizontal rule',
        'hyperlink' => 'hyperlink',
        'image' => 'image',
        'imageurl' => 'imageurl',
        'image_context' => 'image',
        'inserted_text' => 'inserted text',
        'invalid_attribute_value' => '<strong>{name}</strong> is not a valid attribute value',
        'keywords' => 'Keywords',
        'label' => 'Label',
        'last_modification' => 'Last modification',
        'linebreak' => 'line break',
        'link_context' => 'link',
        'list' => 'List',
        'list_articles' => 'List articles',
        'list_categories' => 'list categories',
        'list_links' => 'list links',
        'live' => 'Live',
        'lowercase' => 'lowercase',
        'main_content' => 'Main content',
        'manual' => 'Manual',
        'matching_search_request' => 'matching your search request',
        'message' => 'Message',
        'message_deleted' => 'Message deleted',
        'message_preview' => 'Message preview',
        'message_saved' => 'Message saved',
        'minute' => 'minute',
        'minutes' => 'minutes',
        'missing_article_tag' => 'Page template <strong>{page}</strong> does not contain a <code>txp:article</code> tag.',
        'modified_by' => 'Last modified by',
        'month' => 'Month',
        'more' => 'More',
        'name' => 'Name',
        'never' => 'never',
        'newer' => 'Newer',
        'next' => 'Next',
        'no' => 'No',
        'none' => 'None',
        'nopopup' => 'current window',
        'no_comments' => 'There are currently no comments on this article.',
        'no_search_matches' => 'Sorry, no results found matching your search request',
        'numeric_list' => 'Numeric list',
        'off' => 'Off',
        'older' => 'Older',
        'on' => 'On',
        'only_articles_can_be_previewed' => '<strong>Note:</strong> only article forms can be previewed.',
        'page' => 'Page',
        'pages' => 'Pages',
        'paragraph' => 'paragraph',
        'permanent_link' => 'Permanent link to this article',
        'permlink' => 'Permanent link',
        'plugin_load_error' => 'A problem occurred while loading the plugin:',
        'plugin_load_error_above' => 'The above errors were caused by the plugin:',
        'popup' => 'popup window',
        'post' => 'Post',
        'posted' => 'Posted',
        'posted_by' => 'Posted by',
        'press_preview_then_submit' => 'The following is a preview of what your comment will look like. When you are happy with your comment, use the <strong><a href="#txpCommentSubmit" title="Go to the submit button">submit</a></strong> button.',
        'prev' => 'Previous',
        'preview' => 'Preview',
        'publish' => 'Publish',
        'published_at' => 'Published at',
        'raw_php_deprecated' => 'Raw PHP tags are deprecated',
        'recently' => 'Recently',
        'recent_articles' => 'Recent articles',
        'recent_posts' => 'Recent posts',
        'remember' => 'Remember',
        'required' => 'Required',
        'revert' => 'Revert',
        'rss_feed_title' => 'RSS feed',
        'save' => 'Save',
        'saved' => 'saved',
        'save_button' => 'Save',
        'search' => 'Search',
        'search_results' => 'Search results',
        'select' => 'Select',
        'selected' => 'Selected',
        'site' => 'Site',
        'sitename' => 'Site name',
        'siteurl' => 'Site URL',
        'skip_to_main_content' => 'Skip to main content',
        'status' => 'Status',
        'strong' => 'strong',
        'submit' => 'Submit',
        'subscript' => 'subscript',
        'superscript' => 'superscript',
        'tag_error' => 'Tag error:',
        'textile_help' => 'Textile help',
        'textile_lite_help' => 'Textile Lite help',
        'text_conversion' => 'Text conversion',
        'text_handling' => 'Text handling',
        'time' => 'Time',
        'time_ago' => '{time} ago',
        'title' => 'Title',
        'tooltip' => 'Link tooltip',
        'too_common_search_term' => 'It seems like you are looking for a very common search term, maybe try a more specific phrase than',
        'type' => 'Type',
        'undefined' => 'Undefined',
        'unknown_attribute' => 'Unknown tag attribute: {att}.',
        'unknown_callback_function' => 'Unknown callback function: {function}.',
        'unknown_image' => 'Unknown image',
        'unknown_section' => 'Unknown section',
        'unknown_tag' => 'tag does not exist',
        'untitled' => 'Untitled',
        'update' => 'Update',
        'upload' => 'Upload',
        'uploaded' => 'uploaded',
        'url' => 'URL',
        'value' => 'Value',
        'version' => 'Version',
        'view' => 'View',
        'website' => 'Website',
        'week' => 'week',
        'weeks' => 'weeks',
        'while_parsing_page_form' => 'while parsing form <strong>{form}</strong> on page <strong>{page}</strong>',
        'yes' => 'Yes',
        'your_branch_is_updated' => 'You have the most up-to-date version of this Textpattern branch.',
        'your_ip_is_blacklisted_by' => 'Your IP address has been blocklisted by',
        'you_have_been_banned' => 'You have been banned from commenting.',
        'yyyy-mm' => 'yyyy-mm',
    ),
    'section' => array(
        'article_count' => 'Articles in this section: {num}.',
        'create_section' => 'Create new section',
        'default_write_section' => 'Default publishing section',
        'delete_section_confirmation' => 'confirm section deletion',
        'edit_default_section' => 'Edit default section',
        'edit_section' => 'Edit section',
        'edit_sections' => 'edit sections',
        'include_in_search' => 'Include this section in site search?',
        'on_front_page' => 'Section appears on front page?',
        'search_sections' => 'Search sections',
        'section' => 'Section',
        'sections' => 'Sections',
        'section_created' => 'Section <strong>{name}</strong> created.',
        'section_deleted' => 'Section <strong>{name}</strong> deleted.',
        'section_head' => 'Site sections',
        'section_longtitle' => 'Section title',
        'section_name' => 'Section name',
        'section_name_already_exists' => 'Section <strong>{name}</strong> already exists.',
        'section_save_failed' => 'The section was not saved due to an error. Please try again.',
        'section_updated' => 'Section(s) <strong>{name}</strong> updated.',
        'section_used_by_article' => 'Section <strong>{name}</strong> not deleted; used by {count} article(s).',
        'selected_by_default' => 'Selected by default',
        'style' => 'Style',
        'syndicate' => 'Syndicate articles in this section?',
        'uses_page' => 'Uses page',
        'uses_style' => 'Uses style',
    ),
    'setup' => array(
        'about_to_create' => 'You are about to create and populate database tables. At this stage you will also need to set up an administrator user account.',
        'add_config_file' => 'Add config file',
        'admin_theme' => 'Admin-side theme',
        'already_installed' => 'It looks like Textpattern is already installed. If you want to make a clean install, please remove <code>config.php</code> from your <code>/textpattern/</code> directory and try again.',
        'back' => 'Go back',
        'before_you_proceed' => 'Before you proceed:',
        'checking_database' => 'Checking database connection',
        'choose_password' => 'Choose a password',
        'config_php_does_not_match_input' => 'The contents of <code>config.php</code> do not match the values you entered. Please paste the exact text below.',
        'config_php_not_found' => 'The configuration file could not be found at the expected location <strong>{file}</strong>. Please verify its existence once again.',
        'core_theme' => 'Core: {theme}',
        'create_config' => 'Create a file called <code>config.php</code> in the <code>/textpattern/</code> directory and paste the following inside…',
        'creating_config' => 'Creating config.php file',
        'creating_db_tables' => 'Creating database tables',
        'db_cant_connect' => 'Can’t connect to database',
        'db_connected' => 'Connected',
        'db_doesnt_exist' => 'Database <strong>{dbname}</strong> does not exist or your specified user name does not have permission to access it.',
        'db_must_exist' => 'Note that the database you specify must already exist, Textpattern will not create it.',
        'did_it' => 'I did it',
        'email_required' => 'Please provide a valid email address.',
        'errors_during_install' => 'There were <strong>{num}</strong> errors during the installation. You can ask for help in the <a href="http://forum.textpattern.com/" rel="external">Textpattern Support Forum</a>.',
        'get_started' => 'Go!',
        'go_to_login' => 'Log in now',
        'installation_postamble' => 'For security, you should now remove the <code>setup</code> directory from your <code>/textpattern/</code> directory. Please check the Admin Diagnostics panel from time to time for update announcements or troubleshooting hints.',
        'mysql_database' => 'MySQL database',
        'mysql_login' => 'MySQL user name',
        'mysql_password' => 'MySQL password',
        'mysql_server' => 'MySQL server',
        'my_site' => 'My site',
        'my_slogan' => 'My pithy slogan',
        'name_required' => 'Please provide a valid login name.',
        'need_details' => 'Inevitably, we need a few details…',
        'next_step' => 'Next',
        'pass_required' => 'Please provide a strong password.',
        'please_enter_url' => 'Please enter the URL of your site.',
        'please_go_back' => 'Please go back, rectify any incorrect details and try this process again.',
        'populate_db' => 'Populate database',
        'prefix_bad_characters' => 'The table prefix <strong>{dbprefix}</strong> contains characters that are not allowed. The first character must match one of <strong>a-zA-Z_</strong> and all following characters must match one of <strong>a-zA-Z0-9_</strong>.',
        'prefix_warning' => '(use <strong>only</strong> if you require multiple installations in one database)',
        'progress_steps' => 'There are 4 steps to this installation process:',
        'setup_comment_invite' => 'Comment',
        'setup_login' => 'Choose a login name',
        'setup_password_strength_0' => 'Poor',
        'setup_password_strength_1' => 'Weak',
        'setup_password_strength_2' => 'Fair',
        'setup_password_strength_3' => 'Good',
        'setup_password_strength_4' => 'Strong',
        'setup_show_password' => 'Show password',
        'set_db_details' => 'Set database details',
        'set_temp_dir_prefs' => 'Sorry, but Textpattern failed to find a writable directory to hold temporary files. Please visit the <strong>Preferences</strong> administration panel and adjust the <strong>Temporary directory path</strong> setting to suit your needs.',
        'site_config' => 'Site configuration',
        'site_url' => 'Site URL',
        'tables_exist' => 'It appears the tables in <strong>{dbname}</strong> already exist. If you wish to continue setup, either delete the existing tables, or choose a different table prefix.',
        'table_prefix' => 'Table prefix (optional)',
        'thanks_for_interest' => 'Thank you for your interest in Textpattern',
        'that_went_well' => 'That went well!',
        'using_db' => 'Using {dbname}.',
        'warn_mail_unavailable' => 'Your PHP installation is missing the <code>mail()</code> function. Therefore no emails can be sent from Textpattern, which limits certain functionality.',
        'welcome_to_textpattern' => 'Welcome to Textpattern',
        'your_email' => 'Your email address',
        'your_full_name' => 'Your full name',
        'you_can_access' => 'Textpattern database tables were created and populated. You should be able to access the <a href="index.php">main interface</a> with the login and password you chose.',
    ),
    'skin' => array(
        'create_skin' => 'Create skin',
        'edit_skin' => 'Edit skin',
        'skin_author' => 'Skin author',
        'skin_name' => 'Skin name',
        'skin_title' => 'Skin title',
        'skin_version' => 'Skin version',
        'skin_website' => 'Skin website',
    ),
    'tag' => array(
        'active_class' => 'CSS class for active list item',
        'align' => 'Alignment',
        'allowoverride' => 'Allow form to be overridden?',
        'article_divider' => 'Article divider',
        'breadcrumb_linked' => 'Link breadcrumbs?',
        'breadcrumb_separator' => 'Breadcrumbs separator',
        'break' => 'List break tag',
        'breakclass' => 'CSS class for list break tag',
        'build' => 'Build tag',
        'button_text' => 'Button text',
        'category_list_section' => 'Link to specific section?',
        'category_tags' => 'Category',
        'class' => 'CSS class',
        'comments_form' => 'Comments form',
        'comment_details' => 'Comment details',
        'comment_form' => 'Comment form',
        'comment_name_link' => 'Link to commenter’s email address/website?',
        'decimals' => 'Display # numbers after the decimal point',
        'default_title' => 'Text to use for default section link',
        'escape' => 'Escape',
        'exclude' => 'Exclude',
        'filename' => 'Name',
        'file_download_tags' => 'File downloads',
        'flavor' => 'Syndication format',
        'flavour' => 'Syndication format',
        'format' => 'Format',
        'gmt' => 'Format according to <abbr title="Greenwich Mean Time">GMT</abbr> time?',
        'has_excerpt' => 'Has excerpt',
        'hilight' => 'Highlight tag',
        'hilight_limit' => 'Highlight how many instances?',
        'html_id' => 'HTML <code>id</code> attribute',
        'id' => 'ID#',
        'include_default' => 'Include default section?',
        'inline_style' => 'Inline style (CSS)',
        'input_size' => 'Input size',
        'isize' => 'Input size',
        'labeltag' => 'Label tag',
        'limit' => 'Display how many?',
        'linkclass' => 'CSS class for links',
        'link_to_this_author' => 'Link to a list of other articles by this author?',
        'link_to_this_category' => 'Link to a list of other articles in this category?',
        'link_to_this_section' => 'Link to a list of other articles in this section?',
        'listform' => 'List form',
        'match' => 'How are they related?',
        'match_type' => 'Match type',
        'media' => 'HTML <code>media</code> attribute',
        'msgcols' => 'Message textarea columns',
        'msgrows' => 'Message textarea rows',
        'n' => 'Name',
        'next_page_link' => 'Next page link',
        'no_categories_available' => 'No categories available.',
        'no_forms_available' => 'No forms available.',
        'no_sections_available' => 'No sections available.',
        'offset' => 'Skip',
        'pageby' => 'Paginate by',
        'page_file_hed' => 'File downloads',
        'pgonly' => 'Count articles, but show nothing',
        'random' => 'Random',
        'rel' => 'HTML <code>rel</code> attribute',
        'searchall' => 'Search all sections?',
        'searchsticky' => 'Search sticky articles?',
        'search_input_form' => 'Search input',
        'search_results_form' => 'Search results',
        'section_tags' => 'Section',
        'showalways' => 'Show always',
        'showcount' => 'Show count?',
        'size_format' => 'Size format',
        'sort' => 'Sort by',
        'sort_by' => 'Sort by',
        'sort_direction' => 'Sort direction',
        'tag' => 'Tag',
        'tagbuilder' => 'Tag builder',
        'tags' => 'Tags',
        'tag_article' => 'Articles (single or list)',
        'tag_article_custom' => 'Articles (custom list)',
        'tag_article_image' => 'Article image',
        'tag_author' => 'Author',
        'tag_body' => 'Body',
        'tag_body_excerpt' => 'Body excerpt',
        'tag_breadcrumb' => 'Breadcrumb',
        'tag_category' => 'Category',
        'tag_category1' => 'Category 1',
        'tag_category2' => 'Category 2',
        'tag_category_list' => 'Category list',
        'tag_comments' => 'Comments',
        'tag_comments_form' => 'Comments form',
        'tag_comments_invite' => 'Comments invite',
        'tag_comments_preview' => 'Comments preview',
        'tag_comment_anchor' => 'Comment anchor',
        'tag_comment_email' => 'Comment email',
        'tag_comment_email_input' => 'Comment email input',
        'tag_comment_id' => 'Comment ID',
        'tag_comment_message' => 'Comment message',
        'tag_comment_message_input' => 'Comment message input',
        'tag_comment_name' => 'Comment name',
        'tag_comment_name_input' => 'Comment name input',
        'tag_comment_permlink' => 'Comment permanent link',
        'tag_comment_preview' => 'Comment preview button',
        'tag_comment_remember' => 'Remember details checkbox',
        'tag_comment_submit' => 'Comment submit button',
        'tag_comment_time' => 'Comment time',
        'tag_comment_web' => 'Comment website',
        'tag_comment_web_input' => 'Comment website input',
        'tag_css' => 'CSS link (<code>head</code>)',
        'tag_email' => 'Email link (spam-resistant)',
        'tag_excerpt' => 'Excerpt',
        'tag_feed_link' => 'Articles feed link',
        'tag_file_download' => 'File download',
        'tag_file_download_category' => 'File category',
        'tag_file_download_created' => 'File created time',
        'tag_file_download_description' => 'File description',
        'tag_file_download_downloads' => 'File download count',
        'tag_file_download_id' => 'File ID#',
        'tag_file_download_link' => 'File download link',
        'tag_file_download_list' => 'File download list',
        'tag_file_download_modified' => 'File modified time',
        'tag_file_download_name' => 'File name',
        'tag_file_download_size' => 'File size',
        'tag_home' => 'Home',
        'tag_if_category' => 'If category',
        'tag_if_section' => 'If section',
        'tag_image' => 'Image',
        'tag_inline_' => 'Inline at end',
        'tag_lang' => 'Language',
        'tag_link' => 'Link',
        'tag_linkdesctitle' => 'Link, title=description',
        'tag_linklist' => 'Links list',
        'tag_link_category' => 'Link category',
        'tag_link_date' => 'Link date',
        'tag_link_description' => 'Link description',
        'tag_link_feed_link' => 'Links feed link',
        'tag_link_name' => 'Link name',
        'tag_link_text' => 'Link name',
        'tag_link_to_home' => 'Homepage link',
        'tag_link_to_next' => 'Next article link',
        'tag_link_to_prev' => 'Previous article link',
        'tag_message' => 'Message',
        'tag_name' => 'Commenter name',
        'tag_newer' => 'Newer articles link',
        'tag_next_article' => 'Next article',
        'tag_next_title' => 'Next article title',
        'tag_older' => 'Older articles link',
        'tag_output_form' => 'Output form',
        'tag_page_title' => 'Page title',
        'tag_paging_link' => 'Next page link',
        'tag_password_protect' => 'Password protection',
        'tag_permlink' => 'Permanent link',
        'tag_popup' => 'Popup list',
        'tag_posted' => 'Posted',
        'tag_prev_article' => 'Previous article',
        'tag_prev_title' => 'Previous article title',
        'tag_recent_articles' => 'Recent articles',
        'tag_recent_comments' => 'Recent comments',
        'tag_related_articles' => 'Related articles',
        'tag_search_input' => 'Search input form',
        'tag_search_result_date' => 'Search result date',
        'tag_search_result_excerpt' => 'Search result excerpt',
        'tag_search_result_title' => 'Search result title',
        'tag_search_result_url' => 'Search result URL',
        'tag_section' => 'Section',
        'tag_section_list' => 'Section list',
        'tag_sitename' => 'Site name',
        'tag_site_name' => 'Site name',
        'tag_site_slogan' => 'Site slogan',
        'tag_title' => 'Title',
        'tag__inline' => 'Inline at beginning',
        'textonly' => 'Text only?',
        'text_or_tag' => '* text or tag here *',
        'this_section' => 'Link to current section?',
        'time_any' => 'Any',
        'time_format' => 'Time format string',
        'time_future' => 'Future',
        'time_past' => 'Past',
        'title_separator' => 'Individual article and site name separator',
        'useful_tags' => 'Useful tags',
        'use_thumbnail' => 'Use thumbnail?',
        'wraptag' => 'Wrap tag',
    ),
);
$lastmod = gmdate('Y-m-d H:m:s', 1464085333);
